Bug 189573 - java.lang.ExceptionInInitializerError when creating new managed make c project
java.lang.ExceptionInInitializerError when creating new managed make c project
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnston
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 04:50 EDT by wzhou
Modified: 2008-05-06 11:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wzhou 2006-04-21 04:50:37 EDT
Description of problem:

Can't create c/c++ project using eclipse cdt shipped in Fedora Core 5.

Version-Release number of selected component (if applicable):
1. Eclipse version
eclipse-ecj-3.1.2-1jpp_13fc
eclipse-platform-3.1.2-1jpp_13fc
eclipse-cdt-3.0.2-1jpp_2fc
eclipse-rcp-3.1.2-1jpp_13fc

2. gcc and gdb

[woodzltc@woodzltc data]$ gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk
--disable-dssi --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre
--with-cpu=generic --host=i386-redhat-linux
Thread model: posix
gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)
[woodzltc@woodzltc data]$ gdb -v
GNU gdb Red Hat Linux (6.3.0.0-1.122rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu".
[woodzltc@woodzltc data]$

How reproducible:

always on my laptop

Steps to Reproduce:
1. start eclipse, choose file -> new project -> C : Managed Make C Project
2. Next, input "hello" as project name, (use defaults in project contents)
3. Next, choose Debug and Release configuration (default)
4. Finish, an error window pops:

project cannot be created
Reason: Internal Error:
Details: java.lang.ExceptionInInitializerError

  
Actual results:


Expected results:


Additional info:
on a fresh install of FC5 on PowerBook (ppc), there is no such error
Comment 1 Ben Konrath 2006-04-22 01:46:58 EDT
I can't reproduce this on i686 with these packages:

gcc-java-4.1.0-3
eclipse-platform-3.1.2-1jpp_13fc
eclipse-cdt-3.0.2-1jpp_2fc

Could you try starting Eclipse with a clean workspace and configuration
directory?  Something like this should do the trick: 

% mv ~/.eclipse ~/.eclipse.bak
% eclipse -data ~/workspace-new

If it still happens, can you post the log file? You can find it in
workspace/.metadata/.log
Comment 2 Matthew Sage 2006-05-26 10:31:47 EDT
This has been happening to me too!

The problem appears to be a gjc problem as when I change over to Sun's jre, the
errors dissappear.

The log files I get are identical to the one found in comment #9 of bug 188192.
Comment 3 Bug Zapper 2008-04-03 22:42:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:49:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.